Index: /extensions/stripped_black_bloc/admin/admin.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/admin.inc.php	(revision 23568)
+++ /extensions/stripped_black_bloc/admin/admin.inc.php	(revision 23569)
@@ -34,4 +34,5 @@
 	$config_send['catthumb']=(isset($_POST['f_catthumb'])) ? $_POST['f_catthumb'] : 'none';
 	$config_send['orientation_option']=(isset($_POST['f_orientation_option'])) ? $_POST['f_orientation_option'] : 'none';
+	$config_send['hover_action']=(isset($_POST['f_hover_action'])) ? $_POST['f_hover_action'] : 'fadein';
 	conf_update_param('stripped_black_bloc', pwg_db_real_escape_string(serialize($config_send)));
 
Index: /extensions/stripped_black_bloc/admin/admin.tpl
===================================================================
--- /extensions/stripped_black_bloc/admin/admin.tpl	(revision 23568)
+++ /extensions/stripped_black_bloc/admin/admin.tpl	(revision 23569)
@@ -23,4 +23,24 @@
     </li>
     <li>
+      <br>
+      <label>{'Effect to use when the mouse is over the thumbnails:'|@translate}</label>
+      <br>
+     <label>
+        <input type="radio" name="f_hover_action" id="hover_action" value="fadein"  {if $options.hover_action=="fadein"}checked{/if}>
+        &nbsp;{'Opacity at 75%, then 100% on mouseover'|@translate}</label>
+      <br>
+      <label>
+        <input type="radio" name="f_hover_action" id="hover_action" value="fadeout" {if $options.hover_action=="fadeout"}checked{/if}>
+        &nbsp;{'Opacity at 100%, then 75% on mouseover'|@translate}</label>
+      <br>
+      <label>
+        <input type="radio" name="f_hover_action" id="hover_action" value="border" {if $options.hover_action=="border"}checked{/if}>
+        &nbsp;{'For albums, the border becomes white'|@translate}</label>
+      <br>
+      <label>
+        <input type="radio" name="f_hover_action" id="hover_action" value="none" {if $options.hover_action=="none"}checked{/if}>
+        &nbsp;{'No effect'|@translate}</label>
+      <br><br>
+    </li>
     <li>
       <label for="column_width"><span class="property">{'Width of columns'|@translate}</span>&nbsp;</label>
Index: /extensions/stripped_black_bloc/admin/maintain.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 23568)
+++ /extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 23569)
@@ -14,5 +14,6 @@
 	'starting_to'						=> 1,
   'catthumb'         => 'none', //none - same - all
-  'orientation_option'         => 'none' //none - max_heigth - big_landscape
+  'orientation_option'         => 'none', //none - max_heigth - big_landscape
+  'hover_action'         => 'fadein', //fadein - fadeout - border - none
       );
       
Index: /extensions/stripped_black_bloc/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 23568)
+++ /extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 23569)
@@ -14,5 +14,6 @@
   'starting_to'           => 1,
   'catthumb'         => 'none', //none - same - all
-  'orientation_option'         => 'none' //none - max_heigth -big_landscape
+  'orientation_option'         => 'none', //none - max_heigth - big_landscape
+  'hover_action'         => 'fadein', //fadein - fadeout - border - none
   );
   $query = "
@@ -22,5 +23,5 @@
   load_conf_from_db();
 }
-elseif (count(unserialize( $conf['stripped_black_bloc'] ))!=7)
+elseif (count(unserialize( $conf['stripped_black_bloc'] ))!=8)
 {
   $conff=unserialize($conf['stripped_black_bloc']);
@@ -32,5 +33,6 @@
   'starting_to'           => (isset($conff['starting_to'])) ? $conff['starting_to'] :1,
   'catthumb'         => (isset($conff['catthumb'])) ? $conff['catthumb'] :'none', //none - same - all
-  'orientation_option'         => (isset($conff['orientation_option'])) ? $conff['orientation_option'] :'none' //none - max_heigth -big_landscape
+  'orientation_option'         => (isset($conff['orientation_option'])) ? $conff['orientation_option'] :'none', //none - max_heigth -big_landscape
+  'hover_action'         => (isset($conff['hover_action'])) ? $conff['hover_action'] :'fadein' //fadein - fadeout - border - none
   );
   conf_update_param('stripped_black_bloc', pwg_db_real_escape_string(serialize($config)));
Index: /extensions/stripped_black_bloc/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 23568)
+++ /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 23569)
@@ -19,3 +19,8 @@
 $lang['use the same config as above'] = "use the same config as above";
 $lang['always generate big thumbnails'] = "always generate big thumbnails";
+$lang['Effect to use when the mouse is over the thumbnails:'] = 'Effect to use when the mouse is over the thumbnails:';
+$lang['Opacity at 75%, then 100% on mouseover'] = 'Opacity at 75%, then 100% on mouseover';
+$lang['Opacity at 100%, then 75% on mouseover'] = 'Opacity at 100%, then 75% on mouseover';
+$lang['For albums, the border becomes white'] = 'For albums, the border becomes white';
+$lang['No effect'] = 'No effect';
 ?>
Index: /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 23568)
+++ /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 23569)
@@ -1,4 +1,3 @@
 <?php
-
 $lang['The parent-theme Stripped need to be enabled in order to use its parameters'] = 'Le thème-parent Stripped doit être activé pour pouvoir utiliser ses paramètres';
 $lang['Stripped & Columns Theme Configuration'] = 'Stripped & Columns, Page de configuration';
@@ -20,3 +19,8 @@
 $lang['use the same config as above'] = "utiliser la configuration ci-dessus";
 $lang['always generate big thumbnails'] = "toujours générer des grosses miniatures";
+$lang['Effect to use when the mouse is over the thumbnails:'] = 'Effet à utiliser quand la souris survole une miniature';
+$lang['Opacity at 75%, then 100% on mouseover'] = 'Opacité à 75%, puis à 100% au survol';
+$lang['Opacity at 100%, then 75% on mouseover'] = 'Opacité à 100%, puis à 75% au survol';
+$lang['For albums, the border becomes white'] = 'Pour les albums, la bordure devient blanche';
+$lang['No effect'] = 'Aucun effet';
 ?>
Index: /extensions/stripped_black_bloc/local_head.tpl
===================================================================
--- /extensions/stripped_black_bloc/local_head.tpl	(revision 23568)
+++ /extensions/stripped_black_bloc/local_head.tpl	(revision 23569)
@@ -84,9 +84,16 @@
 	});
 }
-function FadeSC() {
-jQuery(".bloc a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
-jQuery(".bloc_big a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
+// fade onmouseover
+function Hover_action_SC() {
+{/literal}{if $stripped_black_bloc.hover_action=="fadein"}{literal}
+  jQuery(".bloc a, .bloc_big a").fadeTo(500, 0.75);
+  jQuery(".bloc a, .bloc_big a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
+{/literal}{elseif $stripped_black_bloc.hover_action=="fadeout"}{literal}
+  jQuery(".bloc a, .bloc_big a").hover(function() { jQuery(this).fadeTo(500, 0.75); }, function() { jQuery(this).fadeTo(500, 1);  });
+{/literal}{elseif $stripped_black_bloc.hover_action=="border"}{literal}
+  jQuery(".bloc a, .bloc_big a").hover(function() { jQuery(this).animate({borderColor: "#fff"}, 900); }, function() { jQuery(this).animate({borderColor: "{/literal}{if $stripped_black_bloc.color_main}#{$stripped_black_bloc.color_main}{/if}{literal}"}, 900);  });
+{/literal}{/if}{literal}
 }
-jQuery(window).bind("RVTS_loaded", FadeSC);
+jQuery(window).bind("RVTS_loaded", Hover_action_SC);
 
 
@@ -94,7 +101,5 @@
   jQuery('#rvtsUp').remove();
 
-	// fade onmouseover
-	jQuery(".bloc a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
-  jQuery(".bloc_big a").hover(function() { jQuery(this).fadeTo(500, 1); }, function() { jQuery(this).fadeTo(500, 0.75);  });
+	Hover_action_SC();
   
 	// sidemenu managment
Index: /extensions/stripped_black_bloc/template/mainpage_categories.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/mainpage_categories.tpl	(revision 23568)
+++ /extensions/stripped_black_bloc/template/mainpage_categories.tpl	(revision 23569)
@@ -43,5 +43,5 @@
     {assign var='size' value=$derivative->get_size()}
 	<div class="bloc {$TN_CLASS} album">
-			<a href="{$cat.URL}" style="background: url({$derivative->get_url()}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px; opacity: 0.75;" >
+			<a href="{$cat.URL}" style="background: url({$derivative->get_url()}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px;" >
 				{$cat.NAME}
 			</a>
Index: /extensions/stripped_black_bloc/template/stuffs_thumbnails.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/stuffs_thumbnails.tpl	(revision 23568)
+++ /extensions/stripped_black_bloc/template/stuffs_thumbnails.tpl	(revision 23569)
@@ -39,5 +39,5 @@
      {assign var='size' value=$derivative->get_size()}
 <div class="bloc {$TN_CLASS}">
-  <a href="{$thumbnail.URL}" style="background: url({if $derivative->is_cached()}{$derivative->get_url()}{else}{$ROOT_URL}{$themeconf.img_dir}/loading.gif{/if}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px; opacity: 0.75;" {if !$derivative->is_cached()}data-src="{$derivative->get_url()}"{/if}>
+  <a href="{$thumbnail.URL}" style="background: url({if $derivative->is_cached()}{$derivative->get_url()}{else}{$ROOT_URL}{$themeconf.img_dir}/loading.gif{/if}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px;" {if !$derivative->is_cached()}data-src="{$derivative->get_url()}"{/if}>
     {if isset($thumbnail.NAME)}{$thumbnail.NAME}{else}{$thumbnail.TN_TITLE}{/if}
   </a>
Index: /extensions/stripped_black_bloc/template/thumbnails.tpl
===================================================================
--- /extensions/stripped_black_bloc/template/thumbnails.tpl	(revision 23568)
+++ /extensions/stripped_black_bloc/template/thumbnails.tpl	(revision 23569)
@@ -42,5 +42,5 @@
      {assign var='size' value=$derivative->get_size()}
   <div class="bloc {$TN_CLASS}">
-    <a title="{$thumbnail.TN_TITLE}" href="{$thumbnail.URL}" style="background: url({if $derivative->is_cached()}{$derivative->get_url()}{else}{$ROOT_URL}{$themeconf.img_dir}/loading.gif{/if}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px; opacity: 0.75;" {if !$derivative->is_cached()}data-src="{$derivative->get_url()}"{/if}>
+    <a title="{$thumbnail.TN_TITLE}" href="{$thumbnail.URL}" style="background: url({if $derivative->is_cached()}{$derivative->get_url()}{else}{$ROOT_URL}{$themeconf.img_dir}/loading.gif{/if}) no-repeat scroll center center transparent; height: {$size[1]}px; width: {$size[0]}px;" {if !$derivative->is_cached()}data-src="{$derivative->get_url()}"{/if}>
     {if isset($thumbnail.NAME)}{$thumbnail.NAME}{else}{$thumbnail.TN_TITLE}{/if}
     </a>