Index: /trunk/language/lt_LT/admin.lang.php
===================================================================
--- /trunk/language/lt_LT/admin.lang.php	(revision 23685)
+++ /trunk/language/lt_LT/admin.lang.php	(revision 23686)
@@ -25,5 +25,5 @@
 $lang['%d waiting for validation'] = '%d laukia patvirtinimo';
 $lang['%d week'] = '%d savaitę';
-$lang['%d weeks'] = '%d savaites';
+$lang['%d weeks'] = '%d savaitės';
 $lang['%d year'] = '%d metus';
 $lang['%d years'] = '%d metų';
@@ -69,6 +69,6 @@
 $lang['%d of %d photos selected'] = 'pasirinkta %d iš %d nuotraukų';
 $lang['%d parameter was updated.'] = '%d parametras atnaujintas';
-$lang[' and %d virtuals'] = 'ir %d virtualių';
-$lang[' and %d virtual'] = 'ir %d virtualių';
+$lang[' and %d virtuals'] = ' ir %d virtualių';
+$lang[' and %d virtual'] = ' ir %d virtualių';
 $lang['%d album including'] = 'įskaitant %d albumą';
 $lang['%d album moved'] = '%d albumas perkeltas';
@@ -93,5 +93,5 @@
 $lang['Check for upgrade'] = 'Ieškoti patobulinimų';
 $lang['Batch Manager'] = 'Paketinis menedžeris';
-$lang['Bound Theme'] = 'susieta tema';
+$lang['Bound Theme'] = 'Susieta tema';
 $lang['By default, the center of interest is placed in the middle of the photo.'] = 'Pagal nutylėjima kompozicijos centru laikomas geometrinis fotografijos centras.';
 $lang['Center of interest'] = 'Intereso centras';
@@ -126,10 +126,10 @@
 $lang['Associated'] = 'Asociuota';
 $lang['Authorize users to add comments on selected albums'] = 'Leisti vartotojams komentuoti pasiriniktus albumus';
-$lang['Authorized'] = 'Leista';
+$lang['Authorized'] = 'Leidžiama';
 $lang['Automatic correction'] = 'Automatinė korekcija';
 $lang['Automatic sort order'] = 'Automatinė rūšiavimo tvarka';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u vartotojai turi automatinius leidimus, kurias suteikia grupės, kurioms jie priklauso.';
 $lang['Add detailed content'] = 'Pridėti papildomą turinį';
-$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom yra forografijos programa, sukurta tvarkyti dideliems kiekiams skaitmeniniu nuotraukų ir atlikti post produkcini darbą.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom yra fotografijos programa. Ji sukurta tvarkyti dideliems kiekiams skaitmeninių nuotraukų ir atlikti post produkcini darbą.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Išskleidžiant įvyko klaida. Prašome pasitikrinti piwigo instaliacijos failų leidimus.<br><a href="%s">Klaidų logas čia</a>.';
 $lang['An error has occured during upgrade.'] = 'Instaliuojant atnaujinimus įvyko klaida.';
@@ -154,5 +154,5 @@
 $lang['Add/delete a permalink'] = 'Pridėti/pašalinti fiksuotą nuorodą';
 $lang['Added by %s'] = 'Įdėjo ';
-$lang['Administration Home'] = 'Administracijos namai';
+$lang['Administration Home'] = 'Administracijos puslapis';
 $lang['Advanced features'] = 'Papildomos funkcijos';
 $lang['Album "%s" has been added'] = 'Albumas "%s" pridėtas';
@@ -190,5 +190,5 @@
 $lang['(this tag will be deleted)'] = '(ši žyma bus ištrinta)';
 $lang[', click on'] = ', paspausk ant';
-$lang['... or '] = '... arba';
+$lang['... or '] = '... arba ';
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android\'ui</em> programėlė suteikia galimybę sujungti jūsų Android telefoną ar planšetę su jūsų Piwigo galerija, kurti kelis albumus ir įkelti kelias nuotraukas iškart.';
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS\'ui</em> programėlė suteikia galimybę sujungti jūsų iPhone, iPad ar iPod Touch su jūsų Piwigo galerija, kurti kelis albumus ir įkelti kelias nuotraukas iškart.';
@@ -239,5 +239,5 @@
 $lang['Images manual order was saved'] = 'Paveiksliukų rankinis rūšiavimas išsaugotas';
 $lang['Impossible automatic correction'] = 'Automatiniai pataisymai neįmanomi';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ši tema negali būti aktyvuota, trūksta motinines temos: %s';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ši tema negali būti aktyvuota, nes jai trūksta pagrindinės temos: %s';
 $lang['Impossible to deactivate this language, first set another language as default.'] = 'Šios kalbos išjungti neįmanoma, pirmiausia nustatykite kitą kalbą, kaip pagrindinę.';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Suteikite rašymo teises (chmod 777) "%s" katalogui šakniniame jūsų Piwigo instaliacijos kataloge';
@@ -357,5 +357,5 @@
 $lang['Classic display'] = 'Klasikinis vaizdas';
 $lang['Comments for all'] = 'Komentarai visiems';
-$lang['Complementary mail content'] = 'Papildomas pašto turinys';
+$lang['Complementary mail content'] = 'Pridėti prie pranešimo';
 $lang['Configuration'] = 'Konfigūracija';
 $lang['Confirm merge'] = 'Patvirtini sujungimą';
@@ -390,5 +390,5 @@
 $lang['Piwigo Administration'] = 'Piwigo administracija';
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo naujienlaiškis';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish priedas, skirtas Lightroom';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish priedas - skirtas Lightroom';
 $lang['Piwigo Update'] = 'Piwigo atnaujinimas';
 $lang['Piwigo Uploader'] = 'Piwigo Uploader\'is';
@@ -420,6 +420,6 @@
 $lang['Permissions'] = 'Leidimai';
 $lang['Photo %s of %s'] = 'Nuotrauka %s iš %s';
-$lang['Photo Page'] = 'Nuotraukos psl.';
-$lang['Photo Properties'] = 'Nuotraukos savybės';
+$lang['Photo Page'] = 'Nuotraukų puslapis';
+$lang['Photo Properties'] = 'Nuotraukų savybės';
 $lang['Photo informations updated'] = 'Nuotraukų informacijos atnaujintos';
 $lang['Photo name'] = 'Nuotraukos pavadinimas';
@@ -442,5 +442,5 @@
 $lang['Parameter'] = 'Nustatymai';
 $lang['Parameters'] = 'Parametrai';
-$lang['Parent album'] = 'Motininis albumas';
+$lang['Parent album'] = 'Pagrindinis albumas';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Nėra slaptažodžio patvirtinimo. Prašome pakartoti slaptažodį';
 $lang['Password is missing. Please enter the password.'] = 'Nėra slaptažodžio. Prašome įvesti slaptažodį';
@@ -452,7 +452,7 @@
 $lang['Not cropped correctly?'] = 'Blogai apipjaustyta?';
 $lang['Notification'] = 'Pranešimai';
-$lang['Notify administrators when a comment is'] = 'Informuoti adminstratorius, kai komentaras yra';
-$lang['Number of albums per page'] = 'Albumų skaičius į puslapį';
-$lang['Number of comments per page'] = 'Komentarų skaičius į puslapį';
+$lang['Notify administrators when a comment is'] = 'Informuoti adminstratorius, kai komentaras';
+$lang['Number of albums per page'] = 'Albumų skaičius puslapyje';
+$lang['Number of comments per page'] = 'Komentarų skaičius puslapyje';
 $lang['Number of downloads'] = 'Atsisiuntimų skaičius';
 $lang['Number of rates'] = 'Įvertinimų kiekis';
@@ -466,5 +466,5 @@
 $lang['Operation in progress'] = 'Vyksta apdorojimas';
 $lang['Optimizations have been completed with some errors.'] = 'Optimizacijos buvo baigtos su keliomis klaidomis';
-$lang['New parent album'] = 'Naujas motininis albumas';
+$lang['New parent album'] = 'Naujas pagrindinis albumas';
 $lang['New photos added'] = 'Naujos nuotraukos įkeltos';
 $lang['New tag'] = 'Nauja žyma';
@@ -560,5 +560,5 @@
 $lang['Link all album photos to a new album'] = 'Susieti visas albumo nuotraukas į naują albumą';
 $lang['reduce to single existing albums'] = 'apriboti iki vieno egzistuojančio albumo';
-$lang['unit mode'] = 'vienas režimas';
+$lang['unit mode'] = 'Individualiai';
 $lang['the forum'] = 'forumas';
 $lang['the wiki'] = 'wiki';
@@ -617,5 +617,5 @@
 $lang['ranks'] = 'vertinama';
 $lang['high'] = 'didelis';
-$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto yra numatytoji nuotraukų tvarkymo programa, skirta MacOSX. Piwigo eksportavimo priedas leidžia kurti naujus albumus ir eksportuoti nuotraukas tiesiai iš iPhoto į jūsų Piwigo nuotraukų galeriją.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto yra numatytoji nuotraukų tvarkymo programa MacOSX aplinkoje. Piwigo eksportavimo priedas leidžia kurti naujus albumus ir eksportuoti nuotraukas tiesiai iš iPhoto į jūsų Piwigo nuotraukų galeriją.';
 $lang['include child albums'] = 'įtraukti vidinius albumus';
 $lang['include photos with lower privacy level'] = 'įtraukti nuotraukas su mažesniu privatumo lygiu';
@@ -627,5 +627,5 @@
 $lang['manual order'] = 'rankinė tvarka';
 $lang['middle'] = 'vidurys';
-$lang['modified'] = 'modifikuota';
+$lang['modified'] = 'modifikuotas';
 $lang['new'] = 'nauja';
 $lang['no write access'] = 'nėra rašymo teisių';
@@ -637,5 +637,5 @@
 $lang['dissociate from group'] = 'atskirti nuo grupės';
 $lang['errors during synchronization'] = 'klaidos sinchronizuojant';
-$lang['even already synchronized photos'] = 'net ir jau singronizuotos nuotraukos';
+$lang['even already synchronized photos'] = 'netgi jau sinchronizuotas nuotraukas';
 $lang['existing album'] = 'egzistuojantis albumas';
 $lang['first photo added on %s'] = 'pirmoji nuotrauka pridėta %s';
@@ -665,5 +665,5 @@
 $lang['delete this site and all its attached elements'] = 'pašalinti šį puslapį ir visą susijusią informaciją';
 $lang['deleted'] = 'pašalinta';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam yra pažangi ir nemokama nuotraukų tvarkymo programa, skirta Linux, Windows ir MacOSX';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam yra pažangi ir nemokama nuotraukų tvarkymo programa skirta Linux, Windows ir MacOSX';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam skirta fotografams, kurie nori žiūrėti, tvarkyti, redaguoti, pagerinti, organizuoti ir dalintis nuotraukomis.';
 $lang['directories + files'] = 'katalogai + failai';
@@ -681,5 +681,5 @@
 $lang['[NBM] Problems or questions'] = '[NBM] Problemos ir klausimai';
 $lang['any visitor can see this album'] = 'visi lankytojai gali matyti šį albumą';
-$lang['apply automatic sort order'] = 'taikyti automatinę rųšiavimo tvarką';
+$lang['apply automatic sort order'] = 'taikyti automatinę rūšiavimo tvarką';
 $lang['associate to group'] = 'pririšti prie grupės';
 $lang['automatic order'] = 'automatinė tvarka';
@@ -695,16 +695,16 @@
 $lang['add a new watermark'] = 'pridėti naują vandens ženklą';
 $lang['add new photos to caddie'] = 'pridėti naujus nuotraukų dydžius į krepšelį';
-$lang['added'] = 'pridėta';
+$lang['added'] = 'pridėtas';
 $lang['administrators'] = 'administratoriai';
 $lang['albums added in the database'] = 'albumas pridėtas į duomenų bazę';
 $lang['albums deleted in the database'] = 'albumas pašalintas iš duomenų bazės';
-$lang['Week starts on'] = 'Savaitės prasideda diena';
+$lang['Week starts on'] = 'Savaitės pradžia yra';
 $lang['Who can see these photos?'] = 'Kas gali matyti šias nuotraukas?';
 $lang['Who can see this photo?'] = 'Kas gali matyti šią nuotrauką?';
 $lang['Width'] = 'Plotis';
 $lang['With blank value, gallery title will be used'] = 'Jei tuščia, tai bus panaudotas galerijos pavadinimas';
-$lang['With no album'] = 'Su jokiu albumu';
-$lang['With no tag'] = 'Su jokia žyma';
-$lang['With no virtual album'] = 'Su jokiu virtualiu albumu';
+$lang['With no album'] = 'Jokiame albume';
+$lang['With no tag'] = 'Be žymos';
+$lang['With no virtual album'] = 'Jokiam virtualiame albume';
 $lang['X Position'] = 'X pozicija';
 $lang['X Repeat'] = 'X kartojimas';
@@ -806,11 +806,11 @@
 $lang['The whole set'] = 'Visas rinkinys';
 $lang['Theme has been successfully installed'] = 'Tema sėkmingai instaliuota';
-$lang['Themes'] = 'Temos';
-$lang['Themes which need upgrade'] = 'Temos, kurias reikia atnaujinti';
+$lang['Themes'] = 'Išvaizda';
+$lang['Themes which need upgrade'] = 'Temos, kurias reikėtų atnaujinti';
 $lang['There is no available subscribers to mail.'] = 'Nėra prenumeratorių, kuriuos informuoti paštu.';
 $lang['There is no group in this gallery.'] = 'Šioje galerijoje nėra grupių.';
 $lang['There is no other language available.'] = 'Daugiau kalbų nėra.';
 $lang['There is no other plugin available.'] = 'Daugiau priedų nėra.';
-$lang['There is no other theme available.'] = 'Daugiau temų nėra.';
+$lang['There is no other theme available.'] = 'Daugiau galimų temų nėra.';
 $lang['This album contains %d photos, added between %s and %s.'] = 'Šis albumas turi %d nuotr., pridėtų tarp %s ir %s.';
 $lang['This album contains %d photos, added on %s.'] = 'Šis albumas turi %d nuotr., kurios buvo pridėtos %s.';
@@ -830,5 +830,5 @@
 $lang['The name of an album must not be empty'] = 'Albumo pavadinimas negali būti tuščias';
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'Katalogų pavadinimai gali būti sudaromi tik iš raidžių, skaičių ir simbolių "-", "_", ar "."';
-$lang['The number of comments a page must be between 5 and 50 included.'] = 'Komentarų skaičius puslapiui turi būti tarp 5 ir 50 imtinai.';
+$lang['The number of comments a page must be between 5 and 50 included.'] = 'Komentarų skaičius puslapyje turi būti tarp 5 ir 50 imtinai.';
 $lang['Sum of rates'] = 'vertinimų suma';
 $lang['Summary'] = 'Apibendrinimas';
@@ -916,5 +916,5 @@
 $lang['Rename'] = 'Pervardinti';
 $lang['Repair and optimize database'] = 'Remontuoti ir optimizuoti duomenų bazę';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Originalaus šablono pakaitalas iš šablonų plėtinių pakatalogio';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Originalių šablonų keitimas individualizuotais iš template-extension pakatalogio';
 $lang['Replacers (customized templates)'] = 'Pakaitalai (individualizuoti šablonai)';
 $lang['Representant'] = 'Albumo piktograma';
@@ -936,5 +936,5 @@
 $lang['Rated %d times, score : %.2f'] = 'Įvertinta %d kart., rezultatas: %.2f';
 $lang['Rating'] = 'Vertinimas';
-$lang['Rating by guests'] = 'Svečių vertinimas';
+$lang['Rating by guests'] = 'Leisti vertinti svečiams';
 $lang['Ratio'] = 'Santykis';
 $lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery klientas Android\'ui) yra atvirojo kodo (GPL v3) Piwigo klientas Android platformai.';
@@ -944,3 +944,4 @@
 $lang['Reinitialize check integrity'] = 'Iš naujo pradėti vientisumo patikrinimą';
 $lang['Reject'] = 'Atmesti';
+$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'Dydžio keitimas po įkėlimo išjungtas dėl to, kad naudojate GD kaip grafinę biblioteką';
 ?>