Index: extensions/rv_autocomplete/language/bg_BG/plugin.lang.php
===================================================================
--- extensions/rv_autocomplete/language/bg_BG/plugin.lang.php	(revision 23702)
+++ extensions/rv_autocomplete/language/bg_BG/plugin.lang.php	(revision 23702)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Leave empty for automatic gallery search <br>OR enter an url ($r/ at the start of url means this gallery)<br>OR enter q=Term to search for a specific term'] = 'Оставете празно за автоматично  търсене в галерията<br> или въведете url ($r/ в началото на URL означава тази галерия) <br> или въведете q=Term да търсите за определени условия';
+$lang['Use <b>\</b> to break search (e.g. Central Park\, NY will not match NY but it will display it)'] = 'Използвайте <b>\</b> да прекъсване на търсенето (напр. Central Park\, NY няма да съвпада NY но ще го показва)';
+$lang['(Auto completions are automatically invalidated on uploads, permission changes ...).'] = '(Автоматично изпълненията са автоматично анулирани при ъплоуди, промени...).';
+$lang['If you change album/tag names or permalink you might want to'] = 'Ако промените имената на албума/етикет перманентния линк може да искате да';
+$lang['Look for matches in other languages if the number of matches in main language is less than'] = 'Виж за съвпадения в други езици, ако броя на съвпаденията в основен език е по-малко от';
+$lang['No data available in table'] = 'Няма данни в таблица';
+$lang['Invalidate auto completion index cache'] = 'Анулира автоматично завършване на кеш индекса ';
+$lang['Maximum number of suggestions'] = 'Максимален брой предложения';
+$lang['Stop accumulating matches after'] = 'Спрете натрупване на съвпадения след ';
+$lang['Query:'] = 'Запитване:';
+$lang['Ideal number of suggestions'] = 'Правилен ред на предложения';
+$lang['positive matches'] = 'положителни резултати';
+$lang['Weight:'] = 'Тегло:';
+$lang['Weight'] = 'Широчина';
+$lang['URL'] = 'URL адрес';
+$lang['Url:'] = 'Url:';
+$lang['Name'] = 'Име';
+$lang['Exclude'] = 'Изключение';
+$lang['Actions'] = 'Действие';
+$lang['Configuration'] = 'Конфигурация';
+$lang['Create a new suggestion'] = 'Създаване на ново предложение';
+$lang['Custom'] = 'По заявка';
+?>