Index: trunk/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php
===================================================================
--- trunk/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php	(revision 23896)
+++ trunk/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php	(revision 23896)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore'] = 'ಕಡತವನ್ನು ಮರುಬಳಸಿ';
+$lang['locfiledit_restore_confirm'] = 'ದಯವಿಟ್ಟು ಖಾತ್ರಿಪಡಿಸಿ? ಮುಂದಿನ ಉಳಿಕೆಯವರೆಗೂ ಮರುಬಳಕೆ ಪರಿಣಮಕಾರಿಯಾಗಿರುವುದಿಲ್ಲ.';
+$lang['locfiledit_save_bak'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಪ್ರತಿ ಉಳಿಸಿದ ನಂತರ ರಚನೆಯಾಗುತ್ತದೆ.';
+$lang['locfiledit_save_config'] = 'ಕಡತವನ್ನು ಯಶಸ್ವಿಯಾಗಿ ಬರೆಯಲಾಗಿದೆ.';
+$lang['locfiledit_save_file'] = 'ಕಡತವನ್ನು ಉಳಿಸಿ';
+$lang['locfiledit_saved_bak'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಪ್ರತಿ ರಚನೆಯಾಗಿದೆ(%s)';
+$lang['locfiledit_show_default'] = 'ಉಲ್ಲೇಖ ಕಡತವನ್ನು ಪ್ರದರ್ಶಿಸಿ.';
+$lang['locfiledit_syntax_error'] = 'ಪದ-ವಿನ್ಯಾಸ ದೋಷ! ಕಡತವನ್ನು ಉಳಿಸಲಾಗಲಿಲ್ಲ.';
+$lang['locfiledit_webmaster_only'] = 'ಕೇವಲ ವೆಬ್ ಮಾಸ್ಟರ್ ಗಳು ಮಾತ್ರ ಸ್ಥಳೀಯ ಕಡತಗಳನ್ನು ರಚಿಸಬಲ್ಲರು ಅಥವಾ ಬದಲಾಯಿಸಬಲ್ಲರು.';
+$lang['locfiledit_bak_loaded1'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಕಡತವನ್ನು ತುಂಬಲಾಗಿದೆ.';
+$lang['locfiledit_bak_loaded2'] = 'ನೀವು ಮರುಬಳಸಲು ಕಡತವನ್ನು ಉಳಿಸಲೇಬೇಕು.';
+$lang['locfiledit_cant_save'] = 'ಪ್ರಸ್ತುತ ಕಡತ ಬರೆಯಬಲ್ಲುದಾಗಿಲ್ಲ. "local/" ಡೈರೆಕ್ಟರಿ ಬರೆಯಬಲ್ಲುದೇ ಎಂಬುದನ್ನು ಪರೀಕ್ಷಿಸಿ (chmod).';
+$lang['locfiledit_choose_file'] = 'ಸಂಪಾದನೆಗಾಗಿ ಕಡತವನ್ನು ಆರಿಸಿರಿ.';
+$lang['locfiledit_edit'] = 'ಸಂಪಾದನೆ';
+$lang['locfiledit_empty_filename'] = 'ನೀವು ಕಡತದ ಹೆಸರನ್ನು ನಮೂದಿಸಲೇಬೇಕು.';
+$lang['locfiledit_empty_page'] = 'ಖಾಲಿ ಪುಟ';
+$lang['locfiledit_file_already_exists'] = 'ಕಡತ ಈಗಾಗಲೇ ಅಸ್ತಿತ್ವದಲ್ಲಿದೆ.';
+$lang['locfiledit_filename_error'] = 'ನಿಷೇಧಿತ ಅಕ್ಷರಗಳು ಕಡತದ ಹೆಸರಿನಲ್ಲಿ ಇವೆ.';
+$lang['locfiledit_model'] = 'ನಮೂನೆ';
+$lang['locfiledit_model_error'] = 'ನೀವು ನಮೂನೆಯನ್ನು ಆರಿಸಲೇಬೇಕು.';
+$lang['locfiledit_new_filename'] = 'ಕಡತದ ಹೆಸರು';
+$lang['locfiledit_new_tpl'] = 'ಹೊಸ ಕಡತವನ್ನು ರಚಿಸಿ.';
+$lang['locfiledit_newfile'] = 'ಈ ಕೆಳಗೆ ಕೆಲವು ಮಾಹಿತಿಗಳನ್ನು ನಮೂದಿಸದ ಹೊರತು ಕಡತ ಅಸ್ತಿತ್ವದಲ್ಲಿರುವುದಿಲ್ಲ. ಒಮ್ಮೆ ಮಾಹಿತಿ ನಮೂದಾಗಿ ಉಳಿಸಿದ ನಂತರ ಕಡತ ರಚನೆಯಾಗುತ್ತದೆ.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'ಭಾಷೆಗಳು';
+$lang['locfiledit_onglet_localconf'] = 'ಲೋಕಲ್ ಕಾನ್ಫಿಗ್';
+$lang['locfiledit_onglet_plug'] = 'ವೈಯಕ್ತಿಕ ಪ್ಲಗ್ ಇನ್ ';
+$lang['locfiledit_onglet_tpl'] = 'ನಮೂನೆಗಳು';
+$lang['locfiledit_parent_directory'] = 'ಪೇರೆಂಟ್ ಡೈರೆಕ್ಟರಿ';
+?>