Index: extensions/UserAdvManager/trunk/language/ru_RU/help.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/ru_RU/help.lang.php	(revision 23989)
+++ extensions/UserAdvManager/trunk/language/ru_RU/help.lang.php	(revision 23990)
@@ -116,3 +116,83 @@
 - <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTAutomail_Text_d'] = 'Введите собственный текст, который будет объяснять причины понижения, в дополнение к ссылке подтверждения. Ваш текст, конечно, не обязателен, но весьма желателен. На самом деле, вряд ли Ваш пользователь будет доволен, если получит письмо с одной только ссылкой, безо всяких пояснений с Вашей стороны. ;-)
+ <br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_remailtxt2Title_d'] = 'Введите вступительный текст, который будет отображаться в эп.письме с напоминанием, без генерации ключа подтверждения регистрации.
+<br><br>
+Если Вы оставите это поле пустым, что в письме у пользователя нечего не отобразится. Настоятельно советуем написать хоть несколько слов Вашему пользователю. (Обратите внимание, что текст, имеющийся в плагине, был введен для примера!).
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_remailtxt1Title_d'] = 'Введите вступительный текст, который будет отображаться в эп.письме с напоминанием, в дополнение к сгенерированному ключу подтверждения регистрации.
+<br><br>
+Если Вы оставите это поле пустым, что в письме пользователю придет только ссылка для регистрации. Настоятельно советуем написать хоть несколько слов Вашему пользователю. (Обратите внимание, что текст, имеющийся в плагине, был введен для примера!).
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_gttextTitle_d'] = 'Введите текст, который Вы хотите присоединить к письму с напоминанием, которое пригласит пользователя вернуться в Вашу галерею. Обратите внимание, что текст, имеющийся в плагине, был введен для примера!
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[days]</b> - для вставки максимального числа дней между двумя визитами пользователя.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_confirmtxtTitle_d'] = 'Введите вступительный текст, который будет отображаться в письме с подтверждением регистрации.
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_infotxtTitle_d'] = 'Введите вступительный текст, который будет отображаться в информационном письме.
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_MailInfo_Subject_d'] = 'Здесь Вы можете настроить тему информационного письма. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTReminder_Subject_d'] = 'Здесь Вы можете вручную настроить тему письма Ghost Tracker с напоминанием. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTAutomail_Subject_d'] = 'Здесь Вы можете настроить тему письма Ghost Tracker с понижением статуса. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
 ?>