Index: /extensions/header_manager/admin/add.php
===================================================================
--- /extensions/header_manager/admin/add.php	(revision 24009)
+++ /extensions/header_manager/admin/add.php	(revision 24010)
@@ -40,5 +40,12 @@
   pwg_set_session_var('added_banner', $_POST['picture_file']);
   
-  redirect(HEADER_MANAGER_ADMIN);
+  if (!empty($_GET['redirect']))
+  {
+    redirect($_GET['redirect']);
+  }
+  else
+  {
+    redirect(HEADER_MANAGER_ADMIN);
+  }
 }
 
@@ -142,4 +149,6 @@
 }
 
+$template->assign('F_ACTION', HEADER_MANAGER_ADMIN . '-add' .(!empty($_GET['redirect']) ? '&amp;redirect='.urlencode($_GET['redirect']) : ''));
+
 $template->set_filename('header_manager', dirname(__FILE__).'/template/add.tpl');
 
Index: /extensions/header_manager/admin/album.php
===================================================================
--- /extensions/header_manager/admin/album.php	(revision 24009)
+++ /extensions/header_manager/admin/album.php	(revision 24010)
@@ -30,5 +30,5 @@
 check_status(ACCESS_ADMINISTRATOR);
 
-check_input_parameter('cat_id', $_GET, false, PATTERN_ID);
+check_input_parameter('cat_id', $_GET, false, PATTERN_ID, true);
 
 $admin_album_base_url = get_root_url().'admin.php?page=album-'.$_GET['cat_id'];
Index: /extensions/header_manager/admin/template/add.tpl
===================================================================
--- /extensions/header_manager/admin/template/add.tpl	(revision 24009)
+++ /extensions/header_manager/admin/template/add.tpl	(revision 24010)
@@ -38,5 +38,5 @@
 {/footer_script}
 
-<form method="post" action="">
+<form method="post" action="{$F_ACTION}">
 <fieldset>
   <legend>{'Crop banner image'|@translate}</legend>
@@ -81,5 +81,5 @@
 {/literal}{/footer_script}
 
-<form method="post" action="" ENCTYPE="multipart/form-data">
+<form method="post" action="{$F_ACTION}" ENCTYPE="multipart/form-data">
   <fieldset>
     <legend>{'Default banner size'|@translate}</legend>
@@ -87,5 +87,5 @@
     <label>
       {'Width'|@translate}:
-      <input type="text" name="width" size="4" value="{$BANNER_WIDTH}">px
+      <input type="text" name="width" size="4" value="{$BANNER_WIDTH}"> px
     </label>
     <br>
@@ -93,5 +93,5 @@
     <label>
       {'Height'|@translate}:
-      <input type="text" name="height" size="4" value="{$BANNER_HEIGHT}">px
+      <input type="text" name="height" size="4" value="{$BANNER_HEIGHT}"> px
     </label>
     <br>
@@ -115,5 +115,5 @@
     <b>{'or choose a picture from the gallery'|@translate}</b>
     <blockquote>
-      {'Picture id.'|@translate} <a class="showInfo" title="{'The numeric identifier can be found on the picture edition page, near the thumbnail.'|@translate}">i</a>
+      {'Picture id.'|@translate} <a class="icon-info-circled-1 showInfo" title="{'The numeric identifier can be found on the picture edition page, near the thumbnail.'|@translate}"></a>
       <input type="text" name="picture_id" size="5">
       <input type="submit" name="upload_gallery_image" value="{'Use'|@translate}" class="submit">
Index: /extensions/header_manager/admin/template/album.tpl
===================================================================
--- /extensions/header_manager/admin/template/album.tpl	(revision 24009)
+++ /extensions/header_manager/admin/template/album.tpl	(revision 24010)
@@ -23,9 +23,10 @@
     {/foreach}
   {else}
-    <p style="text-align:left;">
-      {'No banner added yet'|@translate}<br>
-      <a href="{$ADD_IMAGE_URL}">{'Add a banner'|@translate}</a>
-    </p>
+    <p style="text-align:left;">{'No banner added yet'|@translate}</p>
   {/if}
+  
+  <p style="text-align:left;">
+    <a href="{$ADD_IMAGE_URL}&redirect={$F_ACTION|urlencode}">{'Add a banner'|@translate}</a>
+  </p>
     
   {if $banners}
Index: /extensions/header_manager/admin/template/style.css
===================================================================
--- /extensions/header_manager/admin/template/style.css	(revision 24009)
+++ /extensions/header_manager/admin/template/style.css	(revision 24010)
@@ -52,12 +52,4 @@
     }
 
-.showInfo {
-  position:static;
-  display:inline-block;
-  padding:1px 6px;
-  width:auto;
-  font-size:0.8em;
-}
-
 #album_banners {
   list-style:disc;
Index: /extensions/header_manager/main.inc.php
===================================================================
--- /extensions/header_manager/main.inc.php	(revision 24009)
+++ /extensions/header_manager/main.inc.php	(revision 24010)
@@ -4,5 +4,5 @@
 Version: auto
 Description: Header Manager allows to simply manage gallery banners. You can upload a picture from your computer or use a picture already in the gallery.
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=608
+Plugin URI: auto
 Author: Mistic
 Author URI: http://www.strangeplanet.fr