Index: /branches/2.5/language/ko_KR/common.lang.php
===================================================================
--- /branches/2.5/language/ko_KR/common.lang.php	(revision 24112)
+++ /branches/2.5/language/ko_KR/common.lang.php	(revision 24113)
@@ -23,5 +23,5 @@
 /*
 Language Name: 한국어 [KR]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=509
 Author: Piwigo team
@@ -37,6 +37,6 @@
 $lang['%d album updated'] = '%d 개의 앨범이 업데이트 되었습니다';
 $lang['%d albums updated'] = '%d 개의 앨범이 업데이트 되었습니다';
-$lang['%d comment to validate'] = '%d 개의 승인 대기중인 코멘트가 있습니다';
-$lang['%d comments to validate'] = '%d 개의 승인 대기중인 코멘트가 있습니다';
+$lang['%d comment to validate'] = '%d 개의 승인 대기중인 댓글이 있습니다';
+$lang['%d comments to validate'] = '%d 개의 승인 대기중인 댓글이 있습니다';
 $lang['%d new comment'] = '%d 개의 새 댓글이 있습니다';
 $lang['%d new comments'] = '%d 개의 새 댓글이 있습니다';
@@ -47,11 +47,11 @@
 $lang['%d new photo'] = '%d 개의 새 사진';
 $lang['%d new photos'] = '%d 개의 새 사진';
-$lang['%d new user'] = '%d 명의 신규 유저';
-$lang['%d new users'] = '%d 명의 신규 유저';
+$lang['%d new user'] = '%d 명의 신규 사용자';
+$lang['%d new users'] = '%d 명의 신규 사용자';
 $lang['About'] = 'About';
 $lang['All tags'] = '모든 태그';
 $lang['Any tag'] = '아무 태그';
 $lang['At least one listed rule must be satisfied.'] = '적어도 하나의 기준을 만족해야 합니다.';
-$lang['Author'] = '저자';
+$lang['Author'] = '작성자';
 $lang['Average rate'] = '평균';
 $lang['Albums'] = '앨범';
@@ -60,5 +60,5 @@
 $lang['Complete RSS feed (photos, comments)'] = 'RSS피드 (사진과 댓글)';
 $lang['Confirm Password'] = '비밀번호 확인';
-$lang['Connection settings'] = '연결 설정';
+$lang['Connection settings'] = '접속설정';
 $lang['Login'] = '로그인';
 $lang['Contact webmaster'] = '웹마스터에게 연락하기';
@@ -73,5 +73,5 @@
 $lang['Enter your personnal informations'] = '개인 정보를 입력해 주세요';
 $lang['Error sending email'] = '메일을 보내는 중 오류가 발생하였습니다';
-$lang['File name'] = '파일 이름';
+$lang['File name'] = '파일명';
 $lang['File'] = '파일';
 $lang['Filesize'] = '파일 크기';
@@ -112,5 +112,5 @@
 $lang['Unknown feed identifier'] = '알 수 없는 피드 식별자입니다';
 $lang['User comments'] = '사용자 댓글';
-$lang['Username'] = '사용자 이름';
+$lang['Username'] = '사용자명';
 $lang['Visits'] = '방문자';
 $lang['Webmaster'] = '웹마스터';
@@ -123,5 +123,5 @@
 $lang['all'] = '모두';
 $lang['ascending'] = '오름차순';
-$lang['author(s) : %s'] = '작가 : %s';
+$lang['author(s) : %s'] = '작성자 : %s';
 $lang['Expand all albums'] = '모든 앨범 열기';
 $lang['posted after %s (%s)'] = '%s (%s) 이후의 포스트';
@@ -132,5 +132,5 @@
 $lang['display best rated photos'] = '최고 등급의 사진들 보기';
 $lang['caddie'] = '캐디';
-$lang['Calendar'] = '캘린더';
+$lang['Calendar'] = '달력';
 $lang['All'] = '모두';
 $lang['display each day with photos, month per month'] = '매일을 사진으로 표시하여 한달을 표시합니다';
@@ -141,13 +141,13 @@
 $lang['New on %s'] = '새로 등록됨(%s)';
 $lang['Click here if your browser does not automatically forward you'] = '자동으로 이동되지 않을 땐 이곳을 클릭하세요';
-$lang['comment date'] = '의견 등록일';
-$lang['Comment'] = '의견';
+$lang['comment date'] = '댓글 등록일';
+$lang['Comment'] = '댓글';
 $lang['Your comment has been registered'] = '댓글이 등록되었습니다';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = '도배 방지 시스템: 다른 의견을 달기 전까지 잠시만 기다려 주세요.';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = '유효 조건에 어긋난 의견이기 때문에 등록되지 않았습니다';
-$lang['An administrator must authorize your comment before it is visible.'] = '관리자의 승인이 있기 전까지 다른 사용자들이 이 의견을 볼 수 없습니다.';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = '도배 방지 시스템: 다른 댓글을 달기 전까지 잠시만 기다려 주세요.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = '유효 조건에 어긋난 의견이기 때문에 댓글이 등록되지 않았습니다';
+$lang['An administrator must authorize your comment before it is visible.'] = '관리자의 승인이 있기 전까지 다른 사용자들이 이 댓글을 볼 수 없습니다.';
 $lang['This login is already used by another user'] = '다른 사용자가 이미 이 계정을 사용중입니다';
-$lang['Comments'] = '의견';
-$lang['Add a comment'] = '의견 남기기';
+$lang['Comments'] = '댓글';
+$lang['Add a comment'] = '댓글 남기기';
 $lang['created after %s (%s)'] = '%s 이후 생성됨 (%s)';
 $lang['created before %s (%s)'] = '%s 이전 생성됨(%s)';
@@ -176,5 +176,5 @@
 $lang['available for administrators only'] = '관리자만 사용 가능합니다';
 $lang['display this album'] = '이 앨범을 표시';
-$lang['display last user comments'] = '마지막 사용자 의견을 표시';
+$lang['display last user comments'] = '마지막 사용자 댓글을 표시';
 $lang['customize the appareance of the gallery'] = '갤러리 외형을 개인화합니다';
 $lang['search'] = '검색';
@@ -224,5 +224,5 @@
 $lang['Rate this photo'] = '이 사진 평가';
 $lang['Next'] = '다음';
-$lang['no rate'] = '등급 없음';
+$lang['no rate'] = '평점 없음';
 $lang['Photos posted within the last %d day.'] = '%d 일 이내에 등록된 사진.';
 $lang['Photos posted within the last %d days.'] = '%d 일 이내에 등록된 사진.';
@@ -252,5 +252,5 @@
 $lang['remove this tag from the list'] = '목록에서 이 태그를 삭제';
 $lang['representative'] = '대표사진';
-$lang['Search for Author'] = '작가로 검색';
+$lang['Search for Author'] = '작성자로 검색';
 $lang['Search in albums'] = '앨범에서 검색';
 $lang['Search by date'] = '날짜로 검색';
@@ -288,13 +288,13 @@
 $lang['Manage this user comment: %s'] = '이 사용자 댓글 관리: %s';
 $lang['Email address is missing. Please specify an email address.'] = '메일 주소란이 비었습니다. 메일 주소를 확인 해 주세요.';
-$lang['This author modified following comment:'] = '이 작가가 다음 댓글을 수정하였습니다:';
-$lang['This author removed the comment with id %d'] = '이 작가가 다음 사용자의 댓글을 삭제하였습니다: %d';
+$lang['This author modified following comment:'] = '이 작성자가 다음 댓글을 수정하였습니다:';
+$lang['This author removed the comment with id %d'] = '이 작성자가 다음 사용자의 댓글을 삭제하였습니다: %d';
 $lang['%d rates'] = '%d 개의 평가';
-$lang['A comment on your site'] = '당신의 웹 사이트에 코멘트가 있습니다';
+$lang['A comment on your site'] = '당신의 웹 사이트에 댓글이 있습니다';
 $lang['Accelerate diaporama speed'] = '슬라이드쇼 속도 증가';
 $lang['Admin: %s'] = '관리자: %s';
 $lang['Album results for'] = '앨범 결과';
 $lang['Album: %s'] = '앨범: %s';
-$lang['Author: %s'] = '저자: %s';
+$lang['Author: %s'] = '작성자: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '"손님"사용자의 상태가 나빠 기본 상태를 사용합니다. 관리자에게 알려주세요.';
 $lang['Browser: %s'] = '브라우저: %s';
@@ -309,5 +309,5 @@
 $lang['Email: %s'] = '이메일: %s';
 $lang['Empty query. No criteria has been entered.'] = '없는 요청입니다. 조건이 비었을 수 있습니다.';
-$lang['Enter your new password below.'] = '새 비밀번호를 입력해주세요.';
+$lang['Enter your new password below.'] = '새 암호를 입력해주세요.';
 $lang['EXIF Metadata'] = 'EXIF 메타데이터';
 $lang['from %s to %s'] = '%s님이 %s님에게';
@@ -323,3 +323,114 @@
 
 
+$lang['Email address is mandatory'] = '이메일 주소는 필수항목입니다';
+$lang['First Page'] = '첫 페이지';
+$lang['Manual sort order'] = '사용자 정의 순서';
+$lang['N/A'] = 'N/A';
+$lang['Not repeat the slideshow'] = '슬라이드쇼 반복하지 않기';
+$lang['Number of photos per page'] = '페이지상 사진 수';
+$lang['Page not found'] = '페이지를 찾을 수 없습니다';
+$lang['Username: %s'] = '사용자명: %s';
+$lang['Website'] = '웹사이트';
+$lang['You will receive a link to create a new password via email.'] = '이메일로 새로운 암호 설정을 위한 링크가 전송되었습니다.';
+$lang['Your password has been reset'] = '암호가 초기화 되었습니다.';
+$lang['Your website URL is invalid'] = '웹사이트 URL이 올바르지 않습니다';
+$lang['Password Reset'] = '암호 초기화';
+$lang['Return to home page'] = '홈페이지로 돌아가기';
+$lang['Search results'] = '검색 결과';
+$lang['searched words : %s'] = '검색된 단어: %s';
+$lang['set as album representative'] = '앨범 표지로 등록';
+$lang['slideshow'] = '슬라이드쇼';
+$lang['square'] = '사각형';
+$lang['stop the slideshow'] = '슬라이드쇼 정지';
+$lang['the beginning'] = '시작';
+$lang['the username must be given'] = '사용자명이 필요합니다';
+$lang['this email address is already in use'] = '이미 사용중인 이메일입니다';
+$lang['thumb'] = '썸네일';
+$lang['today'] = '오늘';
+$lang['Show latest comments first'] = '최신 댓글을  먼저 보기';
+$lang['Show number of comments'] = '댓글 개수 보기';
+$lang['Show oldest comments first'] = '오래된 댓글을 먼저 보기';
+$lang['Someone requested that the password be reset for the following user account:'] = '누군가가 다음 사용자의 암호 초기화를 요청했습니다:';
+$lang['Thank you for registering at %s!'] = '%s에 등록 해 주셔서 감사합니다!';
+$lang['The passwords do not match'] = '암호가 일치하지 않습니다';
+$lang['Thumbnails'] = '썸네일';
+$lang['User "%s" has no email address, password reset is not possible'] = '사용자 "%s"의 이메일 정보가 없어, 암호 초기화가 불가능합니다.';
+$lang['User: %s'] = '사용자: %s';
+$lang['Username is mandatory'] = '사용자명은 필수 항목입니다.';
+$lang['Username modification'] = '사용자명 변경';
+$lang['Username or email'] = '사용자명 혹은 이메일';
+$lang['day']['0'] = '일요일';
+$lang['day']['1'] = '월요일';
+$lang['day']['2'] = '화요일';
+$lang['day']['3'] = '수요일';
+$lang['day']['4'] = '목요일';
+$lang['day']['5'] = '금요일';
+$lang['day']['6'] = '토요일';
+$lang['mandatory'] = '필수';
+$lang['Password: %s'] = '암호: %s';
+$lang['Pause of slideshow'] = '슬라이드쇼 일시정지';
+$lang['Photo sizes'] = '사진 크기';
+$lang['Play of slideshow'] = '슬라이드쇼 재생';
+$lang['Quick search'] = '빠른 검색';
+$lang['Repeat the slideshow'] = '슬라이드쇼 반복';
+$lang['Requested album does not exist'] = '요청한 앨범이 존재하지 않습니다';
+$lang['Requested tag does not exist'] = '요청한 태그가 존재하지 않습니다';
+$lang['Original'] = '원본';
+$lang['Mobile'] = '모바일';
+$lang['Bad request'] = '잘못된 요청';
+$lang['Email'] = '이메일';
+$lang['File name, A &rarr; Z'] = '파일명, A &rarr; Z';
+$lang['File name, Z &rarr; A'] = '파일명, Z &rarr; A';
+$lang['Go back to the album'] = '앨범으로 돌아가기';
+$lang['Last Page'] = '마지막 페이지';
+$lang['return to the display of all photos'] = '모든 사진 보기로 돌아가기';
+$lang['%d Kb'] = '%d KB';
+$lang['%d rate'] = '%d개의 평점';
+$lang['2small'] = 'XXS - tiny';
+$lang['xxlarge'] = 'XXL - huge';
+$lang['small'] = 'S - small';
+$lang['xlarge'] = 'XL - extra large';
+$lang['xsmall'] = 'XS - extra small';
+$lang['large'] = 'L - large';
+$lang['medium'] = 'M - medium';
+$lang['To reset your password, visit the following address:'] = '비밀번호 초기화를 위해 다음 주소를 방문하십시오:';
+$lang['Show number of hits'] = '방문자 수 보기';
+$lang['Permalink for album not found'] = '앨범의 Permalink를 찾을 수 없습니다';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo가 복구할 수 없는 예외를 만났습니다.';
+$lang['Date created, new &rarr; old'] = '생성일, 최신 &rarr; 이전';
+$lang['Date created, old &rarr; new'] = '생성일, 이전 &rarr; 최신';
+$lang['Date posted, new &rarr; old'] = '작성일, 최신 &rarr; 이전';
+$lang['Date posted, old &rarr; new'] = '작성일, 이전 &rarr; 최신';
+$lang['Visits, high &rarr; low'] = '방문자수, 내림차순';
+$lang['Visits, low &rarr; high'] = '방문자수, 오름차순';
+$lang['Update your rating'] = '평점 변경';
+$lang['Reduce diaporama speed'] = '슬라이드쇼 느리게';
+$lang['Rating score, low &rarr; high'] = '평점, 오름차순';
+$lang['Photo title, A &rarr; Z'] = '사진 제목, A->Z';
+$lang['Photo title, Z &rarr; A'] = '사진 제목, Z->A';
+$lang['Rating score, high &rarr; low'] = '평점, 내림차순';
+$lang['Rating score'] = '평점';
+$lang['useful when password forgotten'] = '암호를 잊은 경우를 대비';
+$lang['Username "%s" on gallery %s'] = '갤러리 %s에 있는 사용자명 "%s"';
+$lang['Tag results for'] = '태그 겸색 결과 : ';
+$lang['The number of photos per page must be a not null scalar'] = '페이지당 사진 수는 0이 아닌 정수여야 합니다';
+$lang['Password reset is not allowed for this user'] = '해당 사용자는 암호 초기화를 할 수 없습니다.';
+$lang['Please enter your username or email address.'] = '사용자명 혹은 이메일 주소를 입력하십시오.';
+$lang['Specials'] = '특집';
+$lang['Registration of %s'] = '%s 등록';
+$lang['Search for all terms'] = '모든 단어로 검색';
+$lang['Search for any term'] = '아무 단어나 검색';
+$lang['Search for words'] = '단어로 검색';
+$lang['Your username has been successfully changed to : %s'] = '성공적으로 사용자명을 %s로 변경하였습니다.';
+$lang['Numeric identifier, 1 &rarr; 9'] = '숫자 식별자, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = '숫자 식별자,  9 &rarr; 1';
+$lang['SQL queries in'] = 'SQL 쿼리에 ';
+$lang['Here are your connection settings'] = '접속 설정은 다음과 같습니다';
+$lang['Send my connection settings by email'] = '접속 설정을 이메일로 보내기';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '성공적으로 가입되었습니다. 곧 접속 설정이 있는 이메일을 받으실겁니다. 환영합니다.';
+$lang['View in'] = '다음에서 보기 : ';
+$lang['Search in sub-albums'] = '서브 앨범에서 검색';
+$lang['Desktop'] = '컴퓨터';
+$lang['Forbidden'] = '금지됨';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = '만약 오류로 이 메일을 수신했다고 생각하시면, %s 로 연락 바랍니다.';
 ?>