Index: /extensions/Piwecard/language/cs_CZ/description.txt
===================================================================
--- /extensions/Piwecard/language/cs_CZ/description.txt	(revision 24139)
+++ /extensions/Piwecard/language/cs_CZ/description.txt	(revision 24139)
@@ -0,0 +1,1 @@
+﻿Generátor eCard pohlednic
Index: /extensions/Piwecard/language/cs_CZ/index.php
===================================================================
--- /extensions/Piwecard/language/cs_CZ/index.php	(revision 24139)
+++ /extensions/Piwecard/language/cs_CZ/index.php	(revision 24139)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwecard/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/cs_CZ/plugin.lang.php	(revision 24139)
+++ /extensions/Piwecard/language/cs_CZ/plugin.lang.php	(revision 24139)
@@ -0,0 +1,128 @@
+<?php
+$lang['piwecard_plugin']						= 'Piwecard Plugin';
+
+//admin.php
+$lang['piwecard_admin_permissions']				= 'Oprávnění';
+$lang['piwecard_admin_configuration']			= 'Konfigurace';
+$lang['piwecard_admin_management']				= 'Správa';
+
+//admin_permissions.php
+$lang['piwecard_selected_cats']					= 'Vybrané kategorie';
+$lang['piwecard_non_selected_cats'] 			= 'Nevybrané kategorie';
+$lang['piwecard_authorized_groups_users_denied']= '%u uživatelů je automaticky zakázáno, protože jsou v zakázané skupině.';
+
+//admin_permissions.tpl
+$lang['piwecard_permissions_cat']				= 'Oprávnění podle kategorie';
+$lang['piwecard_permissions_all_cats']			= 'Odesílání e-karet je povoleno na všech kategoriích přístupných danému uživateli';
+$lang['piwecard_permissions_selected_cats'] 	= 'Odesílání e-karet je povoleno jenom na vybraných kategoriích a pokud jsou zvolené kategorie přístupné danému uživateli';
+$lang['piwecard_permissions_user_cat']			= 'Odesílání e-karet je povoleno jenom pokud je kategorie nebo některá z nadřazených je pojmenována po uživateli nebo když je uživatel autorem fotografie';
+$lang['piwecard_user_cats_case_sensitive']		= 'Citlivé na název ( kategorie nebo některá z nadřazených je pojmenována po uživateli)';
+$lang['piwecard_permissions_groups_users']		= 'Oprávnění podle skupin uživatelů';
+$lang['piwecard_permissions_all_groups_users']	= 'Všichni uživatelé mohou odesílat e-karty';
+$lang['piwecard_permissions_granted_groups_users']= 'Udělit oprávnění vybrané skupině a uživatelům';
+$lang['piwecard_permissions_denied_groups_users']= 'Zakázat vybrané skupiny a uživatele';
+
+//admin_configuration.php
+$lang['piwecard_nolimit']						= 'Bezlimitu';
+$lang['piwecard_email_format_default_error']	= 'Výchozí e-mail formát musí být jedním ze zvolených e-mail formátů';
+
+//admin_configuration.tpl
+$lang['piwecard_configuration'] 				= 'Standardní konfigurace';
+$lang['piwecard_nb_max_recipients']				= 'Max počet příjemců na jednu pohlednici';
+$lang['piwecard_validity_list']					= 'Seznam doby platnosti ve dnech (nula pro neomezeně)';
+$lang['piwecard_ecard_derivative']				= 'Výběr rozměrů obrázků v e-card:';
+$lang['piwecard_validity_default']				= 'Výchozí platnost pohlednice';
+$lang['piwecard_validity_choice']				= 'Umožnit uživatelům určit platnost pohlednice';
+$lang['piwecard_sender_copy']					= 'Odeslat kopii pohlednice odesílateli';
+$lang['piwecard_sender_email_change']			= 'Povolit odesílateli změnit svoji e-mail adresu (nelze aplikovat pro návštěvníky pokud je nastavena výchozí e-mail adresa)';
+$lang['piwecard_email_format']					= 'formát e-mailu';
+$lang['piwecard_email_format_text']				= 'Text';
+$lang['piwecard_email_format_html']				= 'HTML';
+$lang['piwecard_email_format_default']			= 'Výchozí formát e-mailu';
+$lang['piwecard_show_image_infos']				= 'Zobraz titulek a jméno autora pod obrázkem';
+$lang['piwecard_default_guest_email']			= 'Výchozí e-mail adresa pro návštěvníky';
+$lang['piwecard_email_configuration']			= 'konfigurace e-mailu';
+$lang['piwecard_email_subject']					= 'předmět e-mailu';
+$lang['piwecard_email_message_text']			= 'Zpráva když je formát e-mailu textový';
+$lang['piwecard_email_message_html']			= 'Zpráva když je formát e-mailu HTML';
+$lang['piwecard_sender_name']					= 'Jméno odesílatele';
+$lang['piwecard_sender_email']					= 'E-mail odesílatele';
+$lang['piwecard_recipient_name']				= 'Jméno příjemce';
+$lang['piwecard_recipient_email']				= 'E-mail příjemce';
+$lang['piwecard_website_url']					= 'URL Galerie';
+$lang['piwecard_ecard_url']						= 'URL pohlednice';
+$lang['piwecard_ecard_subject']					= 'Titulek pohlednice';
+$lang['piwecard_ecard_message']					= 'Zpráva';
+$lang['piwecard_ecard_image_url']				= 'URL obrázku';
+$lang['piwecard_ecard_image_infos'] 			= 'Info obrázku (název a autor)';
+$lang['piwicard_email_reset']					= 'Reset * pole s výchozí hodnotou ve vašem jazyce';
+$lang['piwecard_image_border']					= 'Přidat orámování pro obrázek pohlednice:';
+$lang['piwecard_image_border_style']			= 'Styl:';
+$lang['piwecard_image_border_solid']			= 'Kubický';
+$lang['piwecard_image_border_dashed']			= 'Přerušovaný';
+$lang['piwecard_image_border_dotted']			= 'Tečkovaný';
+$lang['piwecard_image_border_double']			= 'Zdvojený';
+$lang['piwecard_image_border_width']			= 'Šířka:';
+$lang['piwecard_image_border_color']			= 'Barva:';
+$lang['piwecard_preview']						= 'Náhled';
+
+//admin_management.tpl
+$lang['piwecard_list'] 							= 'Seznam pohlednic';
+$lang['piwecard_nb_ecard_valid_total'] 			= '%d platných e-pohlednic z %d e-pohlednic';
+$lang['piwecard_nb_sender_recipient_total'] 	= '%d unikátních odesílatelů a %d unikátních příjemců';
+$lang['piwecard_valid']							= 'Platné';
+$lang['piwecard_invalid']						= 'Expirované';
+$lang['piwecard_delete_all_invalid'] 			= 'Odstranit všechny expirované pohlednice';
+$lang['piwecard_validity'] 						= 'Datum platnosti';
+$lang['piwecard_delete'] 						= 'Odstranit označené e-karty';
+$lang['piwecard_deleted'] 						= 'Označené e-karty byly odstraněny.';
+$lang['piwecard_invalid_deleted'] 				= 'Všechny expirované e-karty byly odstraněny.';
+$lang['piwecard_nb_ecard_page'] 				= 'Počet e-karet na stránku';
+$lang['piwecard_no_ecard'] 						= 'Žádná e-karta v databázi';
+$lang['piwecard_delete_selected']				= 'Odstranit vybrané e-karty';
+$lang['piwecard_recipient_names']				= 'Jména příjemců';
+
+//ecard.tpl
+$lang['piwecard_send_stage1'] 					= 'Krok 1: Napište vzkaz';
+$lang['piwecard_send_stage2'] 					= 'Krok 2: Upravte informace';
+$lang['piwecard_send_stage3'] 					= 'Krok 3: Nastavení';
+$lang['piwecard_send_stage4'] 					= 'Krok 4: Odeslat e-pohlednici!';
+$lang['piwecard_error'] 						= 'Chyba!';
+$lang['piwecard_error_text'] 					= 'Prosím zadejte text.';
+$lang['piwecard_error_email'] 					= 'Prosím zadejte platný e-mail.';
+$lang['piwecard_error_integer'] 				= 'Prosím zadejte platné číslo.';
+$lang['piwecard_error_validity_list']			= 'Seznam nemůže být prázdný a období musí být číslo.';
+$lang['piwecard_errors'] 						= 'Zobrazení detailů chyby níže';
+$lang['piwecard_sender'] 						= 'Odesílatel';
+$lang['piwecard_recipient'] 					= 'Příjemce';
+$lang['piwecard_add_recipient']					= 'Přidat příjemce';
+$lang['piwecard_validity_label'] 				= 'Obdodí platnosti';
+$lang['piwecard_send_mandatory_fields'] 		= 'Povinná pole';
+$lang['piwecard_send'] 							= 'Odeslat';
+$lang['piwecard_send_link']						= 'Klikněte sem pro odeslání e-pohlednice';
+
+//publish.tpl
+$lang['piwecard_invalid_ecard']  				= 'Neplatná nebo expirovaná e-karta';
+$lang['piwecard_publish_footer']  				= 'Tato e-karta byla odeslána ';
+
+//piwecard.class.php
+$lang['piwecard_message']						= 'Zpráva';
+$lang['piwecard_days']							= 'dnů';
+
+//default_values.inc.php
+$lang['piwecard_default_email_subject'] 		= '%yourname% vám posílá e-pohlednici';
+$lang['piwecard_default_email_message_text'] 	= 'Ahoj %recipientname%! 
+%yourname% vám posílá pohlednici z galerie %website%. 
+Pohlednici si můžete zobrazit na následujícím odkazu : %ecardurl%.
+Navštivte nás na %website% (%websiteurl%)!
+Webmaster';
+$lang['piwecard_default_email_message_html'] 	= '<p>Ahoj %recipientname%!</p>
+<p><b>%yourname%</b> vám posílá pohlednici z galerie <a href="%websiteurl%">%website%</a>:</p>
+<p><b>%ecardtitle%</b></p>
+<p><a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a><p>
+<p>%pictureinfos%</p><br />
+<p>%ecardmessage%</p>
+<p>Pohlednici <a href="%ecardurl%">si můžete zobrazit na tomto odkazu</a>.</p>
+<p>Navštivte nás na <a href="%websiteurl%">%website%</a>!</p>
+<p>Webmaster</p>';
+?>