Index: /extensions/CryptograPHP/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/ca_ES/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/ca_ES/plugin.lang.php	(revision 24143)
@@ -30,5 +30,5 @@
 $lang['Solve equation'] = 'Soluciona l\'equació';
 $lang['Text color'] = 'Color del text';
-$lang['Tip: type "random" on a color field to have a random color'] = 'Truc: escriviu "aleatori" sobre un camp de color per tenir un color aleatori';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Truc: escriviu "random" sobre un camp de color per tenir un color aleatori';
 $lang['good value:'] = 'Valor correcte:';
 $lang['random'] = 'aleatori';
Index: /extensions/CryptograPHP/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 24143)
@@ -41,5 +41,5 @@
 $lang['Solve equation'] = 'Gleichung lösen';
 $lang['Text color'] = 'Text Farbe';
-$lang['Tip: type "random" on a color field to have a random color'] = 'Tipp: Geben Sie "Zufällig" auf einem Farbfeld ein, um eine Zufalls Farbe zu bekommen';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Tipp: Geben Sie "random" auf einem Farbfeld ein, um eine Zufalls Farbe zu bekommen';
 $lang['good value:'] = 'guter Wert';
 $lang['range:'] = 'Bereich';
Index: /extensions/CryptograPHP/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 24143)
@@ -22,5 +22,5 @@
 $lang['Simple equation'] = 'Απλή εξίσωση';
 $lang['Text color'] = 'Χρώμα κειμένου';
-$lang['Tip: type "random" on a color field to have a random color'] = 'Συμβουλή: πληκτρολογήστε "τυχαία" στο πεδίο χρώματος για να έχετε ένα τυχαίο χρώμα';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Συμβουλή: πληκτρολογήστε "random" στο πεδίο χρώματος για να έχετε ένα τυχαίο χρώμα';
 $lang['good value:'] = 'καλή τιμή:';
 $lang['random'] = 'τυχαία';
Index: /extensions/CryptograPHP/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/pt_BR/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/pt_BR/plugin.lang.php	(revision 24143)
@@ -28,5 +28,5 @@
 $lang['Solve equation'] = 'resolver equação';
 $lang['Text color'] = 'Cor do testo';
-$lang['Tip: type "random" on a color field to have a random color'] = 'Dica: digite "aleatório" em um campo de cor para ter uma cor aleatória';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Dica: digite "random" em um campo de cor para ter uma cor aleatória';
 $lang['good value:'] = 'bom valor:';
 $lang['random'] = 'aleatório';
Index: /extensions/CryptograPHP/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/pt_PT/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/pt_PT/plugin.lang.php	(revision 24143)
@@ -28,5 +28,5 @@
 $lang['Solve equation'] = 'Resolve equação';
 $lang['Text color'] = 'Cor do texto';
-$lang['Tip: type "random" on a color field to have a random color'] = 'Dica:escreve "aleatório" num campo de cor para obter uma cor aleatória.';
+$lang['Tip: type "random" on a color field to have a random color'] = 'Dica:escreve "random" num campo de cor para obter uma cor aleatória.';
 $lang['good value:'] = 'bem avaliado:';
 $lang['random'] = 'aleatório';
Index: /extensions/CryptograPHP/language/zh_TW/plugin.lang.php
===================================================================
--- /extensions/CryptograPHP/language/zh_TW/plugin.lang.php	(revision 24142)
+++ /extensions/CryptograPHP/language/zh_TW/plugin.lang.php	(revision 24143)
@@ -34,5 +34,5 @@
 $lang['Random string'] = '隨機字串';
 $lang['Preview'] = '預覽';
-$lang['Tip: type "random" on a color field to have a random color'] = '提示：在顏色框鍵入“隨機”，可設為隨機顏色';
+$lang['Tip: type "random" on a color field to have a random color'] = '提示：在顏色框鍵入“random”，可設為隨機顏色';
 $lang['Text color'] = '文字顏色';
 $lang['good value:'] = '推薦值：';
Index: /extensions/CryptograPHP/main.inc.php
===================================================================
--- /extensions/CryptograPHP/main.inc.php	(revision 24142)
+++ /extensions/CryptograPHP/main.inc.php	(revision 24143)
@@ -4,5 +4,5 @@
 Version: auto
 Description: Add a captcha to register, comment, GuestBook and ContactForm pages (thanks to P@t)
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=535
+Plugin URI: auto
 Author: Mistic
 Author URI: http://www.strangeplanet.fr
Index: /extensions/CryptograPHP/template/admin.tpl
===================================================================
--- /extensions/CryptograPHP/template/admin.tpl	(revision 24142)
+++ /extensions/CryptograPHP/template/admin.tpl	(revision 24143)
@@ -134,6 +134,5 @@
 
 
-{html_head}
-<style type="text/css">
+{html_style}
 {foreach from=$fonts item=font}
 @font-face {ldelim}  
@@ -142,6 +141,5 @@
 }
 {/foreach}
-</style>
-{/html_head}
+{/html_style}
 
 