Index: /extensions/FacebookPlug/Plugin/language/bg_BG/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/bg_BG/admin.lang.php	(revision 24174)
+++ /extensions/FacebookPlug/Plugin/language/bg_BG/admin.lang.php	(revision 24174)
@@ -0,0 +1,94 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['dark'] = 'тъмно';
+$lang['enabled values are restored'] = 'избравите променливи са възстановени';
+$lang['light'] = 'светло';
+$lang['image'] = 'снимка';
+$lang['on slideshow pages'] = 'на слайдшоу страницата';
+$lang['like'] = 'харесва';
+$lang['page'] = 'страница';
+$lang['recommend'] = 'препоръчано';
+$lang['standard'] = 'стандартно';
+$lang['button_count'] = 'button_count';
+$lang['box_count'] = 'box_count';
+$lang['Verb to display'] = 'Глагол за показване';
+$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Подходящо за личен облик (тапет). Може също да се дефинира като добавка (плъгин).
+';
+$lang['Upload picture'] = 'Качване на снимка';
+$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Попълнете само ако желаете да ползвате определено Facebook приложение. Ако не знаете, оставете празно!';
+$lang['Upload'] = 'Качване';
+$lang['Title'] = 'Заглавие';
+$lang['Social plugins'] = 'Социалини плъгини (добавки)';
+$lang['Simple'] = 'Пример';
+$lang['Show stream'] = 'Показване на текущо течащо инфо';
+$lang['Show recommendations'] = 'Показване на препоръчани';
+$lang['Show header'] = 'Показване на "header"';
+$lang['Show faces'] = 'Показване на лица';
+$lang['Share album page'] = 'Споделяне страница на албум';
+$lang['Share picture page'] = 'Споделяне страница на снимка';
+$lang['Share'] = 'Споделяне';
+$lang['Reverse'] = 'Обръщане';
+$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Изисквай от Facebook при извлечане на инфо да ползва заглавията на страниците Ви.';
+$lang['Publish feed'] = 'Поле за писане';
+$lang['Promote'] = 'Насърчаване';
+$lang['Facepile'] = 'Facepile';
+$lang['Picture URL type'] = 'Вид URL на снимката';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Вида на страниците и снимките позволява връзка с Facebook и е възможно извличане на информация. Facebook не извлича инфо от "частни" страници и албуми.';
+$lang['Other options are available by programming'] = 'Други настройки са възможни чрез програмиране';
+$lang['Options'] = 'Опции';
+$lang['On picture pages'] = 'В страниците със снимки';
+$lang['On menu of main pages'] = 'В менюто на основните страници';
+$lang['Num rows'] = 'Брой редове';
+$lang['Num posts'] = 'Брой постове';
+$lang['Like button and comments cannot be enabled together'] = 'Like бутона и коментарите не могат да се разрешат заедно';
+$lang['Like button'] = 'Like бутон';
+$lang['Like box'] = 'Like кутия';
+$lang['Layout style'] = 'Стил на изгледа';
+$lang['Informations'] = 'Информация';
+$lang['Height'] = 'Височина';
+$lang['Facebook application identifient'] = 'Facebook индитификатор на приложение';
+$lang['Facebook Page URL'] = 'Адрес на страницата във Facebook (url):';
+$lang['Enabled'] = 'Разрешено';
+$lang['Develop by'] = 'Изработено от';
+$lang['Data updated with success'] = 'Информацията е обновена вярно';
+$lang['Data updated with error'] = 'Информацията е ъпдейтната грешно';
+$lang['Always initialize Facebook'] = 'Винаги инициализирай Facebook';
+$lang['Continue'] = 'Продължи';
+$lang['Comments'] = 'Коментари';
+$lang['Color scheme'] = 'Схема на цветовете';
+$lang['Buttons'] = 'Бутони';
+$lang['Asynchronous Facebook access'] = 'Асинхронично зареждане във Facebook';
+$lang['Allow Facebook to see private page'] = 'Позволи на Facebook да вижда частни страници';
+$lang['Advanced'] = 'Разширени';
+$lang['Add informations on about page'] = 'Добавяне информация в "За нас" страницата';
+$lang['Add a paragraph with Facebook link on about page'] = 'Добавяне на параграфа с Facebook в страницата "За нас"';
+$lang['Add a link on each page footer'] = 'Добавяне на линк във "footer"-а на всяка страница';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Добавяне икона на всяка страница със снимки за качване във Facebook';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Добавяне икона за споделяне към всяка снимка';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Добавяне иконка за споделяне към всеки албум';
+$lang['Add Facebook Piwigo group on footer'] = 'Добавяне на групата във "footer"';
+$lang['Add Facebook Piwigo application on footer'] = 'Добавяне на апликацията във "footer"';
+$lang['Activity feed'] = 'Активни полета';
+$lang['Activity'] = 'Активност';
+$lang[' (?)'] = '(?)';
+?>