Index: extensions/EasyCaptcha/language/de_DE/icons.lang.php
===================================================================
--- extensions/EasyCaptcha/language/de_DE/icons.lang.php	(revision 24234)
+++ extensions/EasyCaptcha/language/de_DE/icons.lang.php	(revision 24234)
@@ -0,0 +1,27 @@
+<?php
+$lang['ball'] = 'ball';
+$lang['battery'] = 'batterie';
+$lang['bicycle'] = 'fahrrad';
+$lang['binoculars'] = 'fernglas';
+$lang['book'] = 'buch';
+$lang['calculator'] = 'rechner';
+$lang['calendar'] = 'kalender';
+$lang['camera'] = 'kamera';
+$lang['car'] = 'auto';
+$lang['shopping cart'] = 'einkaufswagen';
+$lang['cookie'] = 'plaetzchen';
+$lang['scissors'] = 'schere';
+$lang['DVD'] = 'DVD';
+$lang['disk'] = 'diskettte';
+$lang['guitar'] = 'gitarre';
+$lang['hat'] = 'hut';
+$lang['house'] = 'haus';
+$lang['lock'] = 'schloss';
+$lang['mobile phone'] = 'handy';
+$lang['pencil'] = 'stift';
+$lang['printer'] = 'drucker';
+$lang['magnifying glass'] = 'lupe';
+$lang['shoe'] = 'schuh';
+$lang['suitcase'] = 'aktentasche';
+$lang['trash'] = 'papierkorb';
+?>
Index: extensions/EasyCaptcha/language/en_UK/plugin.lang.php
===================================================================
--- extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 24233)
+++ extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 24234)
@@ -30,8 +30,8 @@
 $lang['Tic-tac-toe minigame'] = 'Tic-tac-toe minigame';
 $lang['Tic-tac-toe options'] = 'Tic-tac-toe options';
-$lang['easycaptcha_drag_%s'] = 'To verify you are a human, please place the <b>%s</b> in the most right box bellow.';
-$lang['easycaptcha_tictac'] = 'You are player X, click on the right case to complete the line.';
-$lang['easycaptcha_javascript_public'] = 'You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.';
-$lang['easycaptcha_javascript_admin'] = 'This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.';
-$lang['easycaptcha_cryptocaptcha'] = 'We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'To verify you are a human, please place the <b>%s</b> in the most right box bellow.';
+$lang['You are player X, click on the right case to complete the line.'] = 'You are player X, click on the right case to complete the line.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.';
 ?>
Index: extensions/EasyCaptcha/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 24233)
+++ extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 24234)
@@ -30,8 +30,8 @@
 $lang['Tic-tac-toe minigame'] = 'Minijeu morpion';
 $lang['Tic-tac-toe options'] = 'Options morpion';
-$lang['easycaptcha_drag_%s'] = 'Pour vérifier que vous êtez un humain, veuillez placer le <b>%s</b> dans le cadre de droite.';
-$lang['easycaptcha_tictac'] = 'Vous êtez le joueur X, cliquez dans la bonne case pour former une ligne complète.';
-$lang['easycaptcha_javascript_public'] = 'Vous devez activer JavaScript pour pouvoir ajouter un commentaire, désolé du dérangement.';
-$lang['easycaptcha_javascript_admin'] = 'Ce test requiert que JavaScript soit activé sur le navigateur du visteur. Environ 1% des utilisateurs d\'Internet ont JavaScript désactivé.';
-$lang['easycaptcha_cryptocaptcha'] = 'Nous avons détecté que Crypto Captcha est activé sur votre galerie. Les deux plugins peuvent fonctionner en même temps, mais ous aucun prétexte il ne doivent être activés sur les mêmes pages.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Pour vérifier que vous êtez un humain, veuillez placer le <b>%s</b> dans le cadre de droite.';
+$lang['You are player X, click on the right case to complete the line.'] = 'Vous êtez le joueur X, cliquez dans la bonne case pour former une ligne complète.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Vous devez activer JavaScript pour pouvoir ajouter un commentaire, désolé du dérangement.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Ce test requiert que JavaScript soit activé sur le navigateur du visteur. Environ 1% des utilisateurs d\'Internet ont JavaScript désactivé.';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Nous avons détecté que Crypto Captcha est activé sur votre galerie. Les deux plugins peuvent fonctionner en même temps, mais ous aucun prétexte il ne doivent être activés sur les mêmes pages.';
 ?>