Index: extensions/EasyCaptcha/language/ru_RU/icons.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ru_RU/icons.lang.php	(revision 24237)
+++ extensions/EasyCaptcha/language/ru_RU/icons.lang.php	(revision 24237)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['magnifying glass'] = 'увеличительное стекло';
+$lang['mobile phone'] = 'мобильник';
+$lang['pencil'] = 'карандаш';
+$lang['printer'] = 'принтер';
+$lang['scissors'] = 'ножницы';
+$lang['shoe'] = 'ботинок';
+$lang['shopping cart'] = 'корзина из магазина';
+$lang['suitcase'] = 'чемодан';
+$lang['trash'] = 'мусор';
+$lang['DVD'] = 'DVD';
+$lang['ball'] = 'мяч';
+$lang['battery'] = 'батарейка';
+$lang['bicycle'] = 'велосипед';
+$lang['binoculars'] = 'бинокль';
+$lang['book'] = 'книга';
+$lang['calculator'] = 'калькулятор';
+$lang['calendar'] = 'календарь';
+$lang['camera'] = 'фотоаппарат';
+$lang['car'] = 'машина';
+$lang['cookie'] = 'печеньки';
+$lang['disk'] = 'диск';
+$lang['guitar'] = 'гитара';
+$lang['hat'] = 'шляпа';
+$lang['house'] = 'дом';
+$lang['lock'] = 'замок';
+?>
Index: extensions/EasyCaptcha/language/ru_RU/pets.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ru_RU/pets.lang.php	(revision 24237)
+++ extensions/EasyCaptcha/language/ru_RU/pets.lang.php	(revision 24237)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['bat'] = 'летучая мышь';
+$lang['butterfly'] = 'бабочка';
+$lang['cat'] = 'кошка';
+$lang['dog'] = 'собака';
+$lang['duck'] = 'утка';
+$lang['eagle'] = 'орел';
+$lang['elephant'] = 'слон';
+$lang['fish'] = 'рыба';
+$lang['fox'] = 'лиса';
+$lang['frog'] = 'лягуха';
+$lang['horse'] = 'лошадь';
+$lang['ladybug'] = 'божья коровка';
+$lang['lion'] = 'лев';
+$lang['mouse'] = 'мышь';
+$lang['panda'] = 'панда';
+$lang['penguin'] = 'пингвин';
+$lang['snake'] = 'змея';
+$lang['toucan'] = 'тукан';
+?>
Index: extensions/EasyCaptcha/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/EasyCaptcha/language/ru_RU/plugin.lang.php	(revision 24215)
+++ extensions/EasyCaptcha/language/ru_RU/plugin.lang.php	(revision 24237)
@@ -9,3 +9,26 @@
 $lang['Picture comments'] = 'Комментарии к картинкам';
 $lang['Register form'] = 'Форма регистрации';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Эта задача требует, чтобы у посетителя в браузере была включена функция JavaScript. Около 1% пользователей интернета отключают  у себя JavaScript.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Чтобы подтвердить, что Вы - человек, пожалуйста, разместите <b>%s</b> в самом нижнем правом поле.';
+$lang['You are player X, click on the right case to complete the line.'] = 'Вы - игрок X, щелкните справа, чтобы завершить линию.';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Мы обнаружили, что в Вашей галерее также доступен плагин Crypto Captcha. Оба плагина могут быть использованы, но Вы не должны ни при каких обстоятельствах активировать оба этих плагина на одной и той же странице.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Извините, конечно, но Вы должны активировать JavaScript в Вашем браузере для того, чтобы иметь возможность добавлять комментарии.';
+$lang['Marks'] = 'Знаки';
+$lang['Challenge'] = 'Вызов/задача';
+$lang['Pleaser answer'] = 'Ответ';
+$lang['Random'] = 'Случайный';
+$lang['Tic-tac-toe options'] = 'Функции Tic-tac-toe';
+$lang['Background'] = 'Задний фон';
+$lang['Border'] = 'Граница';
+$lang['Colors'] = 'Цвета';
+$lang['Drag & drop options'] = 'Функция Drag&Drop';
+$lang['Image'] = 'Изображение';
+$lang['Image border'] = 'Граница изображения';
+$lang['Image size'] = 'Размер изображения';
+$lang['Invalid answer'] = 'Ответ неправильный';
+$lang['Invalid color code <i>%s</i>'] = 'Неправильный код цвета <i>%s</i>';
+$lang['Number of images'] = 'Количество изображений';
+$lang['Text'] = 'Текст';
+$lang['Theme'] = 'Тема';
+$lang['Tic-tac-toe minigame'] = 'Миниигра Tic-tac-toe';
 ?>