Index: /extensions/EasyCaptcha/language/tr_TR/description.txt
===================================================================
--- /extensions/EasyCaptcha/language/tr_TR/description.txt	(revision 24244)
+++ /extensions/EasyCaptcha/language/tr_TR/description.txt	(revision 24244)
@@ -0,0 +1,1 @@
+Yorumlar, İletişim Formu ve Ziyaretçi Defteri için eğlenceli bir antibot sistemidir.
Index: /extensions/EasyCaptcha/language/tr_TR/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/tr_TR/icons.lang.php	(revision 24244)
+++ /extensions/EasyCaptcha/language/tr_TR/icons.lang.php	(revision 24244)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['scissors'] = 'makas';
+$lang['shoe'] = 'ayakkabı';
+$lang['shopping cart'] = 'alışveriş sepeti';
+$lang['suitcase'] = 'bavul';
+$lang['trash'] = 'çöp';
+$lang['DVD'] = 'DVD';
+$lang['ball'] = 'top';
+$lang['battery'] = 'batarya';
+$lang['bicycle'] = 'bisiklet';
+$lang['binoculars'] = 'dürbün';
+$lang['book'] = 'kitap';
+$lang['calculator'] = 'hesap makinesi';
+$lang['calendar'] = 'takvim';
+$lang['camera'] = 'kamera';
+$lang['car'] = 'araba';
+$lang['cookie'] = 'kurabiye';
+$lang['disk'] = 'disk';
+$lang['guitar'] = 'gitar';
+$lang['hat'] = 'şapka';
+$lang['house'] = 'ev';
+$lang['lock'] = 'kilit';
+$lang['magnifying glass'] = 'büyüteç';
+$lang['mobile phone'] = 'taşınabilir telefon';
+$lang['pencil'] = 'kalem';
+$lang['printer'] = 'yazıcı';
+?>
Index: /extensions/EasyCaptcha/language/tr_TR/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/tr_TR/pets.lang.php	(revision 24244)
+++ /extensions/EasyCaptcha/language/tr_TR/pets.lang.php	(revision 24244)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['toucan'] = 'tukan';
+$lang['bat'] = 'yarasa';
+$lang['butterfly'] = 'kelebek';
+$lang['cat'] = 'kedi';
+$lang['dog'] = 'köpek';
+$lang['duck'] = 'ördek';
+$lang['eagle'] = 'kartal';
+$lang['elephant'] = 'fil';
+$lang['fish'] = 'balık';
+$lang['fox'] = 'tilki';
+$lang['frog'] = 'kurbağa';
+$lang['horse'] = 'at';
+$lang['ladybug'] = 'uğur böceği';
+$lang['lion'] = 'aslan';
+$lang['mouse'] = 'fare';
+$lang['panda'] = 'panda';
+$lang['penguin'] = 'penguen';
+$lang['snake'] = 'yılan';
+?>
Index: /extensions/EasyCaptcha/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/tr_TR/plugin.lang.php	(revision 24243)
+++ /extensions/EasyCaptcha/language/tr_TR/plugin.lang.php	(revision 24244)
@@ -9,3 +9,29 @@
 $lang['Moderate'] = 'Orta';
 $lang['Picture comments'] = 'Resim yorumları';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Crypto Captcha eklentisinin galeriniz için etkin olduğu tespit edildi. Her iki eklenti de aynı anda kullanılabilir fakat hiç bir koşulda aynı sayfada her ikisi de aktif halde olmamalıdır.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Bu süreç, ziyaretçi web tarayıcılarındaki JavaScript özelliğinin etkin olmasını gerektirir. İnternet kullanıcılarının yaklaşık %1 \'lik bölümü JavaScript devre dışı olarak gezinir.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'İnsan olduğunuzu doğrulamak adına, en sağdaki kutuya <b>%s</b> yerleştirin.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Yorum ekleyebilmek için web tarayıcınızda JavaScript seçeneğini etkinleştirmelisiniz, bu durumdan dolayı üzgünüz.';
+$lang['You are player X, click on the right case to complete the line.'] = 'Siz, oyuncu X olarak sağ tıklayarak çizgiyi tamamlayın.';
+$lang['Tic-tac-toe minigame'] = 'Tic-tac-toe mini oyunu';
+$lang['Tic-tac-toe options'] = 'Tic-tac-toe seçenekleri';
+$lang['Random'] = 'Rastgele';
+$lang['Text'] = 'Yazı';
+$lang['Theme'] = 'Tema';
+$lang['Pleaser answer'] = 'Lütfen cevaplayın';
+$lang['Number of images'] = 'İmaj sayısı';
+$lang['Marks'] = 'İşaretler';
+$lang['Invalid color code <i>%s</i>'] = 'Geçersiz renk kodu <i>%s</i>';
+$lang['Invalid answer'] = 'Geçersiz cevap';
+$lang['Border'] = 'Kenar';
+$lang['Colors'] = 'Renkler';
+$lang['Drop'] = 'Bırak';
+$lang['Drop border'] = 'Bırakma kenarı';
+$lang['Image'] = 'İmaj';
+$lang['Image border'] = 'İmaj kenarı';
+$lang['Image drag & drop'] = 'İmaj sürükle ve bırak';
+$lang['Image size'] = 'İmaj büyüklüğü';
+$lang['Challenge'] = 'Sınama';
+$lang['Background'] = 'Arkaplan';
+$lang['Drag & drop options'] = 'Sürükle ve bırak seçenekleri';
 ?>