Index: /extensions/EasyCaptcha/language/it_IT/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/it_IT/icons.lang.php	(revision 24249)
+++ /extensions/EasyCaptcha/language/it_IT/icons.lang.php	(revision 24249)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shopping cart'] = 'carrello';
+$lang['suitcase'] = 'valigia';
+$lang['trash'] = 'cestino';
+$lang['printer'] = 'stampante';
+$lang['scissors'] = 'forbici';
+$lang['shoe'] = 'scarpa';
+$lang['mobile phone'] = 'cellulare';
+$lang['pencil'] = 'matita';
+$lang['magnifying glass'] = 'lente di ingrandimento';
+$lang['lock'] = 'lucchetto';
+$lang['hat'] = 'cappello';
+$lang['house'] = 'casa';
+$lang['cookie'] = 'biscotti';
+$lang['disk'] = 'disco';
+$lang['guitar'] = 'chitarra';
+$lang['calendar'] = 'calendario';
+$lang['camera'] = 'fotocamera';
+$lang['car'] = 'automobile';
+$lang['binoculars'] = 'binocolo';
+$lang['book'] = 'libro';
+$lang['calculator'] = 'calcolatrice';
+$lang['battery'] = 'batteria';
+$lang['bicycle'] = 'bicicletta';
+$lang['ball'] = 'palla';
+$lang['DVD'] = 'DVD';
+?>
Index: /extensions/EasyCaptcha/language/it_IT/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/it_IT/pets.lang.php	(revision 24249)
+++ /extensions/EasyCaptcha/language/it_IT/pets.lang.php	(revision 24249)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['snake'] = 'serpente';
+$lang['toucan'] = 'tucano';
+$lang['ladybug'] = 'coccinella';
+$lang['lion'] = 'leone';
+$lang['mouse'] = 'topo';
+$lang['panda'] = 'panda';
+$lang['penguin'] = 'pinguino';
+$lang['fox'] = 'volpe';
+$lang['frog'] = 'rana';
+$lang['horse'] = 'cavallo';
+$lang['eagle'] = 'aquila';
+$lang['elephant'] = 'elefante';
+$lang['fish'] = 'pesce';
+$lang['bat'] = 'pipistrello';
+$lang['butterfly'] = 'farfalla';
+$lang['cat'] = 'gatto';
+$lang['dog'] = 'cane';
+$lang['duck'] = 'anatra';
+?>
Index: /extensions/EasyCaptcha/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/it_IT/plugin.lang.php	(revision 24248)
+++ /extensions/EasyCaptcha/language/it_IT/plugin.lang.php	(revision 24249)
@@ -13,3 +13,25 @@
 $lang['Border'] = 'Bordo';
 $lang['Background'] = 'Sfondo';
+$lang['Marks'] = 'Marca';
+$lang['Drop'] = 'Trascinare';
+$lang['Drop border'] = 'Rilasciare sui bordi';
+$lang['You are player X, click on the right case to complete the line.'] = 'Siete il giocatore X, fare clic destro nella casella per formare una linea completa.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Devi attivare JavaScript nel tuo browser per poter aggiungere un commento, mi dispiace per l\'inconveniente.';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Abbiamo rilevato che il plugin Crypto Captcha è disponibile nella tua galleria. Entrambi i plugin possono essere utilizzati allo stesso tempo, ma non devono in nessun caso essere attivati entrambi sulla stessa pagina.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Per verificare che sei un essere umano, si prega di inserire il <b>%s</b> nella casella più in basso a destra.';
+$lang['Tic-tac-toe options'] = 'Opzioni Tic-tac-toe';
+$lang['Challenge'] = 'Test';
+$lang['Tic-tac-toe minigame'] = 'Minigioco Tic-tac-toe';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Questa sfida richiede che JavaScript sia abilitato nel browser del visitatore. Circa l\'1% degli utenti Internet hanno disattivato JavaScript.';
+$lang['Text'] = 'Testo';
+$lang['Theme'] = 'Tema';
+$lang['Random'] = 'Casuale';
+$lang['Pleaser answer'] = 'Si prega di rispondere';
+$lang['Number of images'] = 'Numero di immagini';
+$lang['Invalid color code <i>%s</i>'] = 'Codice colore non valido <i>%s</i>';
+$lang['Invalid answer'] = 'Risposta non valida';
+$lang['Image size'] = 'Dimmensione imagine';
+$lang['Image drag & drop'] = 'Drag & drop immagine';
+$lang['Image'] = 'Immagine';
+$lang['Image border'] = 'Bordo immagine';
 ?>