Index: /extensions/EasyCaptcha/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/ru_RU/plugin.lang.php	(revision 24251)
+++ /extensions/EasyCaptcha/language/ru_RU/plugin.lang.php	(revision 24252)
@@ -3,24 +3,24 @@
 $lang['Moderate'] = 'Проверить';
 $lang['Preview'] = 'Предварительный просмотр';
-$lang['Activate on'] = 'Активировать';
+$lang['Activate on'] = 'Активировать на страницах';
 $lang['Album comments'] = 'Комментарии альбома';
 $lang['Contact form'] = 'Контактная форма';
 $lang['Guestbook'] = 'Гостевая книга';
-$lang['Picture comments'] = 'Комментарии к картинкам';
-$lang['Register form'] = 'Форма регистрации';
-$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Эта задача требует, чтобы у посетителя в браузере была включена функция JavaScript. Около 1% пользователей интернета отключают  у себя JavaScript.';
+$lang['Picture comments'] = 'Комментарии к изображениям';
+$lang['Register form'] = 'Регистрационная форма';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Обратите внимание! Эта задача требует, чтобы у посетителя в браузере была включена функция JavaScript. Около 1% пользователей интернета отключают  у себя JavaScript.';
 $lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Чтобы подтвердить, что Вы - человек, пожалуйста, разместите <b>%s</b> в самом нижнем правом поле.';
-$lang['You are player X, click on the right case to complete the line.'] = 'Вы - игрок X, щелкните справа, чтобы завершить линию.';
+$lang['You are player X, click on the right case to complete the line.'] = 'Вы - игрок X, щелкните, чтобы завершить линию справа.';
 $lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Мы обнаружили, что в Вашей галерее также доступен плагин Crypto Captcha. Оба плагина могут быть использованы, но Вы не должны ни при каких обстоятельствах активировать оба этих плагина на одной и той же странице.';
 $lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Извините, конечно, но Вы должны активировать JavaScript в Вашем браузере для того, чтобы иметь возможность добавлять комментарии.';
-$lang['Marks'] = 'Знаки';
-$lang['Challenge'] = 'Вызов/задача';
+$lang['Marks'] = 'Значки';
+$lang['Challenge'] = 'Вариант ';
 $lang['Pleaser answer'] = 'Ответ';
 $lang['Random'] = 'Случайный';
-$lang['Tic-tac-toe options'] = 'Функции Tic-tac-toe';
+$lang['Tic-tac-toe options'] = 'Настройка Крестиков-ноликов';
 $lang['Background'] = 'Задний фон';
 $lang['Border'] = 'Граница';
 $lang['Colors'] = 'Цвета';
-$lang['Drag & drop options'] = 'Функция Drag&Drop';
+$lang['Drag & drop options'] = 'Настройка варианта "Схвати и перенеси"';
 $lang['Image'] = 'Изображение';
 $lang['Image border'] = 'Граница изображения';
@@ -31,4 +31,7 @@
 $lang['Text'] = 'Текст';
 $lang['Theme'] = 'Тема';
-$lang['Tic-tac-toe minigame'] = 'Миниигра Tic-tac-toe';
+$lang['Tic-tac-toe minigame'] = 'Крестики-нолики';
+$lang['Drop border'] = 'Граница цели';
+$lang['Image drag & drop'] = '"Схвати и перенеси"';
+$lang['Drop'] = 'Цель';
 ?>